SUBDIRS = src

if SELFCONTAINED
 pixdatadir = $(prefix)
 docdir = $(prefix)
 htmldocdir = $(docdir)/html
 shaderdir = $(pixdatadir)/shaders
else
 pixdatadir = $(libdir)/$(PACKAGE)
 docdir = $(datadir)/doc/$(PACKAGE)
 htmldocdir = $(docdir)/html
 shaderdir = $(pixdatadir)/shaders
endif

doc_DATA = README AUTHORS LICENSE COPYING

man_MANS = man/rndr.1 man/sdrc.1 man/sdrinfo.1 man/texmake.1

EXTRA_DIST = DEVNOTES LICENSE

dist-hook:
	cp -rf $(srcdir)/doc $(DESTDIR)$(distdir)
	cp -rf $(srcdir)/shaders $(DESTDIR)$(distdir)

install-data-hook:
	mkdir -p $(DESTDIR)$(htmldocdir)
	cp -rf $(srcdir)/doc/* $(DESTDIR)$(htmldocdir)
	mkdir -p $(DESTDIR)$(shaderdir)
	cp -rf $(srcdir)/shaders/* $(DESTDIR)$(shaderdir)